LibreOffice LibreOffice 6.1 SDK API Reference

Exported Interfaces | List of all members
SchemaSupplier Service Reference

provides access to configuration schemas More...

`import"SchemaSupplier.idl";`

Inheritance diagram for SchemaSupplier:

## Exported Interfaces
interface | XSchemaSupplier
| provides access to configuration schemas. More...

## Additional Inherited Members
Public Member Functions inherited from XSchemaSupplier
XSchema | getComponentSchema ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| Returns the schema information (component + templates) for a particular component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to configuration schemas

## Exported Interfaces

## ◆ XSchemaSupplier

interface XSchemaSupplier

provides access to configuration schemas.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/SchemaSupplier.idl